## org.apache.commons.math.linear
Class NotPositiveDefiniteMatrixException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.math.MathException
                  org.apache.commons.math.linear.NotPositiveDefiniteMatrixException

All Implemented Interfaces:
  java.io.Serializable

    public class NotPositiveDefiniteMatrixException

extends MathException

This class represents exceptions thrown when a matrix expected to be positive definite is not.

Since:
  1.2
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version identifier

Constructor Summary
`NotPositiveDefiniteMatrixException()` Simple constructor.

Method Summary

Methods inherited from class org.apache.commons.math.MathException
`getArguments, getLocalizedMessage, getMessage, getMessage, getPattern, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier

  See Also:
    Constant Field Values

Constructor Detail

### NotPositiveDefiniteMatrixException

    public NotPositiveDefiniteMatrixException()

  Simple constructor. build an exception with a default message.

Copyright (c) 2003-2011 Apache Software Foundation